<?php
/*
Plugin Name: 	Task Rocket Comment Notify
Plugin URI: 	https://rocketapps.com.au/task_rocket/comment-notify/
Description: 	Comment Notify for Task Rocket (requires at least Task Rocket 4.0)
Version: 		1.5.4
Author: 		Rocket Apps
Author Email:	hello@rocketapps.com.au
Text Domain: 	taskrocket-comment-notify
Domain Path: 	/languages/
*/

// Look for translation file
function load_comment_notify_textdomain() {
    load_plugin_textdomain( 'taskrocket-comment-notify', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'load_comment_notify_textdomain' );

/* Update checker */
function tr_comment_notify_update_checker() {
	require 'plugin-updates/plugin-update-checker.php';
	$ERUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
		'https://rocketapps.com.au/files/task-rocket/comment-notify/info.json',
		__FILE__,
		'comment-notify'
	);
}
/* 
	Only allow update check function within the following pages.
	This is to avoid constant license check requests being sent to server.
*/
$update_pages = array('/wp-admin/update-core.php', '/wp-admin/plugins.php', '/wp-admin/plugin-install.php', '/wp-admin/includes/version.php', '/wp-admin/includes/plugin.php', '/wp-admin/includes/admin.php', '/wp-admin/admin-ajax.php', '/wp-admin/update.php', '/wp-admin/network/update-core.php', '/wp-admin/network/plugins.php', '/wp-admin/network/plugin-install.php', '/wp-admin/network/includes/version.php', '/wp-admin/network/includes/plugin.php', '/wp-admin/network/includes/admin.php', '/wp-admin/network/admin-ajax.php', '/wp-admin/network/update.php');
if (in_array($_SERVER['SCRIPT_NAME'], $update_pages) && is_admin()) {
    tr_comment_notify_update_checker();
} 

/* Hook into Rocket Apps Plugin Manager */
function plugin_tr_comment_notify() {
	$plugin_data 		= get_plugin_data( __FILE__ );
	$plugin_name 		= $plugin_data['Name'];
	$plugin_version 	= $plugin_data['Version'];
	$plugin_string		= sanitize_title($plugin_name);
?>
	<li>
		<a href="<?php echo get_admin_url(); ?>admin.php?page=rocket-apps-settings&plugin=<?php echo $plugin_string; ?>" <?php if(isset($_GET['plugin']) && $_GET['plugin'] == $plugin_string) { echo 'class="current-plugin"'; } ?>>
			<?php echo $plugin_name; ?> 
			(v<span class="version"><?php echo $plugin_version; ?></span>)
		</a>
	</li>
<?php }
add_action('rocket_apps_plugin_list', 'plugin_tr_comment_notify');

function plugin_tr_comment_notify_data() {
	if(isset($_GET['plugin']) && $_GET['plugin'] == 'task-rocket-comment-notify') {
		require_once('inc/license.php');	
	}
}
add_action('rocket_apps_plugin_pane', 'plugin_tr_comment_notify_data');


class TaskRocketCommentNotify {

	const name = 'Task Rocket Comment Notify';
	const slug = 'task_rocket_comment_notify';

	function __construct() {
		// Register activation hook
		register_activation_hook( __FILE__, array( &$this, 'install_task_rocket_comment_notify' ) );

		//H ook up to the init action
		add_action( 'init', array( &$this, 'init_task_rocket_comment_notify' ) );
	}

	// Runs when the plugin is activated
	function install_task_rocket_comment_notify() {
	}

}

// Get plugin version
require_once ABSPATH . 'wp-admin/includes/plugin.php';
$plugin_data = get_plugin_data( __FILE__ );
$tr_comment_notify_plugin_version = $plugin_data['Version'];